      double precision function map_steel_timtemp(tcc,delt)
      implicit none                                     
      double precision tcc,delt,t00,a,theta1,map_steel_timtemp
* this assumes that the thermal cycle of the weld is past its peak
* as a function of the characteristic time delt, this gives the time of any temperature

* modified 19/7/94 so that zero time corresponds to 800 celsius

      t00 = 70.0
      a=tcc
      theta1= (1.0/(500.0d0-t00)) - (1.0d0/(800.0d0-t00))
      map_steel_timtemp= (delt/theta1)*(1.0d0/(tcc-t00)
     &-1.0d0/(800.0-t00)) 
      end
